[Lunar-commits] r19286 - in moonbase/branches/submissions/new: . ifplugd ifplugd/init.d libdaemon

Dave Brown dagbrown at lunar-linux.org
Fri Mar 17 06:32:29 UTC 2006


Author: dagbrown
Date: 2006-03-17 06:32:22 +0000 (Fri, 17 Mar 2006)
New Revision: 19286

Added:
   moonbase/branches/submissions/new/ifplugd/
   moonbase/branches/submissions/new/ifplugd/BUILD
   moonbase/branches/submissions/new/ifplugd/DEPENDS
   moonbase/branches/submissions/new/ifplugd/DETAILS
   moonbase/branches/submissions/new/ifplugd/init.d/
   moonbase/branches/submissions/new/ifplugd/init.d/ifplugd
   moonbase/branches/submissions/new/libdaemon/
   moonbase/branches/submissions/new/libdaemon/DETAILS
Log:
These are the two packages required for ifplugd.


Added: moonbase/branches/submissions/new/ifplugd/BUILD
===================================================================
--- moonbase/branches/submissions/new/ifplugd/BUILD	                        (rev 0)
+++ moonbase/branches/submissions/new/ifplugd/BUILD	2006-03-17 06:32:22 UTC (rev 19286)
@@ -0,0 +1,7 @@
+(
+
+  sedit 's:/sbin/ifup:/etc/init.d/network start:' conf/ifplugd.action &&
+  sedit 's:/sbin/ifdown:/etc/init.d/network stop:' conf/ifplugd.action &&
+  default_build
+
+) > $C_FIFO 2>&1


Property changes on: moonbase/branches/submissions/new/ifplugd/BUILD
___________________________________________________________________
Name: svn:executable
   + *

Added: moonbase/branches/submissions/new/ifplugd/DEPENDS
===================================================================
--- moonbase/branches/submissions/new/ifplugd/DEPENDS	                        (rev 0)
+++ moonbase/branches/submissions/new/ifplugd/DEPENDS	2006-03-17 06:32:22 UTC (rev 19286)
@@ -0,0 +1,2 @@
+depends net-tools &&
+depends libdaemon

Added: moonbase/branches/submissions/new/ifplugd/DETAILS
===================================================================
--- moonbase/branches/submissions/new/ifplugd/DETAILS	                        (rev 0)
+++ moonbase/branches/submissions/new/ifplugd/DETAILS	2006-03-17 06:32:22 UTC (rev 19286)
@@ -0,0 +1,17 @@
+          MODULE=ifplugd
+         VERSION=0.28
+	     PKG=${MODULE}-${VERSION}
+          SOURCE=${PKG}.tar.gz
+        WEB_SITE=http://0pointer.de/lennart/projects/${MODULE}/
+      SOURCE_URL=${WEB_SITE}
+      SOURCE_VFY=sha1:0f00e6b544c0b7ed6c66fc58cb74f038d3fba77a
+         ENTERED=20060317
+         UPDATED=20060317
+           SHORT="a daemon which automatically configures your ethernet device"
+cat << EOF
+ifplugd is a Linux daemon which will automatically configure your
+ethernet device when a cable is plugged in and automatically
+unconfigure it if the cable is pulled. This is useful on laptops
+with onboard network adapters, since it will only configure the
+interface when a cable is really connected.
+EOF


Property changes on: moonbase/branches/submissions/new/ifplugd/DETAILS
___________________________________________________________________
Name: svn:executable
   + *

Added: moonbase/branches/submissions/new/ifplugd/init.d/ifplugd
===================================================================
--- moonbase/branches/submissions/new/ifplugd/init.d/ifplugd	                        (rev 0)
+++ moonbase/branches/submissions/new/ifplugd/init.d/ifplugd	2006-03-17 06:32:22 UTC (rev 19286)
@@ -0,0 +1,110 @@
+#!/bin/bash
+# $Id: ifplugd.init.in 86 2004-01-26 15:34:24Z lennart $
+
+# This file is part of ifplugd.
+#
+# ifplugd is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free
+# Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# ifplugd is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+# for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with ifplugd; if not, write to the Free Software Foundation,
+# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+
+# ifplugd      Brings up/down network automatically
+#
+# chkconfig: 2345 11 89
+# description: Brings networks interfaces up and down automatically when \
+#              the cable is removed / inserted
+#
+# processname: /usr/sbin/ifplugd
+# config: /etc/ifplugd/ifplugd.conf
+
+### BEGIN INIT INFO
+# Provides:          ifplugd
+# Required-Start:    $network
+# X-UnitedLinux-Should-Start:
+# Required-Stop:     $network
+# X-UnitedLinux-Should-Stop: $
+# Default-Start:     3 5
+# Default-Stop:      0 1 2 6
+# Short-Description: ifplugd daemon
+# Description:       Start ifplugd
+### END INIT INFO
+
+CFG=/etc/ifplugd/ifplugd.conf
+
+IFPLUGD=/usr/sbin/ifplugd
+test -x $IFPLUGD || exit 0
+
+if [ `id -u` != "0" ] && [ "$1" = "start" -o "$1" = "stop" ] ; then
+  echo "You must be root to start, stop or restart ifplugd."
+  exit 1
+fi
+
+[ -f $CFG ] && . $CFG
+
+VERB="$1"
+shift
+
+[ "x$*" != "x" ] && INTERFACES="$*"
+
+[ "x$INTERFACES" = "xauto" ] && INTERFACES="`cat /proc/net/dev | awk '{ print $1 }' | egrep '^(eth|wlan)' | cut -d: -f1`"
+
+case "$VERB" in
+    start)
+        echo -n "Starting Network Interface Plugging Daemon:"
+        for IF in $INTERFACES ; do
+            A="`eval echo \$\{ARGS_${IF}\}`"
+            [ -z "$A" ] && A="$ARGS"
+            $IFPLUGD -i $IF $A
+            echo -n " $IF"
+        done
+        echo "."
+        ;;
+    stop)
+        echo -n "Stopping Network Interface Plugging Daemon:"
+        for IF in $INTERFACES ; do 
+            $IFPLUGD -k -i $IF
+            echo -n " $IF"
+        done
+        echo "."
+        ;;
+    status)
+        for IF in $INTERFACES ; do
+            $IFPLUGD -c -i $IF
+        done
+        ;;
+    suspend)
+        echo -n "Suspending Network Interface Plugging Daemon:"
+        for IF in $INTERFACES ; do
+            $IFPLUGD -S -i $IF
+            echo -n " $IF"
+        done
+        echo "."    
+        ;;
+    resume)
+        echo -n "Resuming Network Interface Plugging Daemon:"
+        for IF in $INTERFACES ; do
+            $IFPLUGD -R -i $IF
+            echo -n " $IF"
+        done
+        echo "."    
+        ;;
+    force-reload|restart)
+        $0 stop $INTERFACES
+        sleep 3
+        $0 start $INTERFACES
+        ;;
+    *)
+        echo "Usage: $0 {start|stop|restart|force-reload|status|suspend|resume}"
+        exit 1
+esac
+
+exit 0


Property changes on: moonbase/branches/submissions/new/ifplugd/init.d/ifplugd
___________________________________________________________________
Name: svn:executable
   + *

Added: moonbase/branches/submissions/new/libdaemon/DETAILS
===================================================================
--- moonbase/branches/submissions/new/libdaemon/DETAILS	                        (rev 0)
+++ moonbase/branches/submissions/new/libdaemon/DETAILS	2006-03-17 06:32:22 UTC (rev 19286)
@@ -0,0 +1,26 @@
+          MODULE=libdaemon
+         VERSION=0.10
+	     PKG=${MODULE}-${VERSION}
+          SOURCE=${PKG}.tar.gz
+        WEB_SITE=http://0pointer.de/lennart/projects/libdaemon/
+      SOURCE_URL=${WEB_SITE}
+      SOURCE_VFY=sha1:2606710f5b130078c313cbdb86765cf2da20c334
+         ENTERED=20060317
+         UPDATED=20060317
+           SHORT="A lightweight C library that eases the writing of UNIX daemons."
+cat << EOF
+libdaemon is a lightweight C library that eases the writing of UNIX
+daemons. It consists of the following parts:
+
+* A wrapper around fork() which does the correct daemonization procedure
+  of a process
+* A wrapper around syslog() for simpler and compatible log output to
+  Syslog or STDERR * An API for writing PID files
+* An API for serializing UNIX signals into a pipe for usage with
+  select() or poll()
+* An API for running subprocesses with STDOUT and STDERR redirected to
+  syslog.
+
+APIs like these are used in most daemon software available. It is not
+that simple to get it done right and code duplication is not a goal.
+EOF


Property changes on: moonbase/branches/submissions/new/libdaemon/DETAILS
___________________________________________________________________
Name: svn:executable
   + *



More information about the Lunar-commits mailing list